KJL - Bug #1630

[HR - Time Management] Absence Quota tidak menghitung jumlah hari yang diambil, sehingga tidak
berkurang.

09/27/2022 11:21 AM - Mega Yunita

Status: Closed Start date: 09/27/2022
Priority: Urgent Due date: 09/30/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.30 hours
Description

Dear Team Developer,

Mohon bantuannya untuk menangani masalah yang terjadi, yaitu absene quota di HR tidak menghitung jumlah hari yang ditentukan,
sehingga quota tidak berkurang dikarenakan ada perubahan WS menjadi 6D8H.
sudah melakukan penambahan di table PHRTMWSTYP, PHRTMWSGEN, PHRTMWSCAL.

Mungkin yang harus dirubah adalah enginenya, tetapi jangan dihardcode, dan tetep baca sesuai WS nya employee masing-masing.
contoh employee : 30000134

Port : http:/remote.minovais.com:31138/

Server : remote.minovais.com, 1442\MSSQLSERVER2014

DB : MinovaES_KJL
Menu : HR > HR Administration > Time Management > Time Data > Absence

Semoga dapat dimengerti

Terimakasih
B Organizstion Management Employee ID: 30000134 Company ID PT. KJL Plastic Indonesia
Employes Status: Astive Crganization: PT. KJL Plastic Indonesia
Employes Type: PRWT Position: Direktur Utama
B Time Report Absence Type: Cuti Tahunan Creste By-
B Payroll Administratian Delegate Ta: Greate Date

B Payroll Accounting Absence Address Changs By:

Abzance Phone

Total Absenca Taken

Tidak menghitung sesuai dengan tanggal StartDate dan EndDate yang ditentukan

# System Administration Changs Date:

N

History

#1 - 09/27/2022 11:40 AM - Mega Yunita

- Subject changed from [Time Management] Absence Quota tidak menghitung jumlah hari yang diambil, sehingga tidak berkurang. to [HR - Time
Management] Absence Quota tidak menghitung jumlah hari yang diambil, sehingga tidak berkurang.

#2 - 09/29/2022 07:31 AM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

07/05/2025 12


http://remote.minovais.com:31138/

#3 - 10/04/2022 12:45 PM - M Azid Wahyudi

- File spGetTotalTaken.sql added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Mega Yunita

dear mega , udah bisa di test ya

package :

update API1 dan API2 :

API1 = MinovalS.MinovaES.Implementation.Data.Element.dll
API2 = MinovalS.MinovaES.Implementation.Data.Element.dll

create sp :
- GetTotalTaken

cek di table PCMFUNC
- fnHitungAbsen2

makasih

#4 - 10/07/2022 11:08 AM - Mega Yunita
- File clipboard-202210071108-i9xuz.png added
- File clipboard-202210071108-739gv.png added

#5 - 10/07/2022 11:08 AM - Mega Yunita
- Status changed from QA Test to Revise

- Assignee changed from Mega Yunita to M Azid Wahyudi

#6 - 10/07/2022 11:33 AM - Mega Yunita
- File deleted (clipboard-202210071108-i9xuz.png)

#7 - 10/07/2022 11:33 AM - Mega Yunita
- File deleted (clipboard-202210071108-739gv.png)

#8 - 10/07/2022 11:33 AM - Mega Yunita
Oke sip, sudah solve mas.

Terimakasih

#9 - 10/07/2022 11:34 AM - Mega Yunita

- Status changed from Revise to Closed

- Assignee changed from M Azid Wahyudi to Mega Yunita

Files

clipboard-202209271118-unfnl.png 91.5 KB 09/27/2022 Mega Yunita

spGetTotalTaken.sql 1.53 KB 10/04/2022 M Azid Wahyudi
